Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::ImplicitBindings Class Reference

Attempts to supply a Binding when none is found for a dependency. More...

`#include <sauce/internal/implicit_bindings.h>`

## Public Member Functions
template<typename Dependency >
sauce::shared_ptr< ResolvedBinding< Dependency > > | getProviding (Concrete const &bindings, std::string const name) const
| Attempt to supply an unknown providing Binding at injection time.
template<typename Dependency >
std::vector< sauce::shared_ptr< ResolvedBinding< Dependency > > > | getModifyings (Concrete const &, std::string const) const
| Attempt to supply unknown modifying Bindings at injection time.

## Detailed Description

Attempts to supply a Binding when none is found for a dependency.

The documentation for this class was generated from the following file:

- sauce/internal/implicit_bindings.h